# Endpoints

Below are the standard endpoints for Staging and Production Environment:

**Staging**

<table><thead><tr><th width="182.66955222867227">Endpoints</th><th>URL</th></tr></thead><tbody><tr><td>Get Signing Access Token</td><td><a href="https://stg-id.uaepass.ae/trustedx-authserver/oauth/main-as/token"><code>https://stg-id.uaepass.ae/trustedx-authserver/oauth/main-as/token</code></a></td></tr><tr><td>Create Document ID</td><td><a href="https://stg-id.uaepass.ae/trustedx-resources/esignsp/v2/documents"><code>https://stg-id.uaepass.ae/trustedx-resources/esignsp/v2/documents</code></a></td></tr><tr><td>Create Sign Process</td><td><a href="https://stg-id.uaepass.ae/trustedx-resources/esignsp/v2/signer_processes"><code>https://stg-id.uaepass.ae/trustedx-resources/esignsp/v2/signer_processes</code></a></td></tr><tr><td>Get Signature Status</td><td><a href="https://stg-id.uaepass.ae/trustedx-resources/esignsp/v2/signer_processes/%7bAdd%20signer%20ProcessId%7d/result"><code>https://stg-id.uaepass.ae/trustedx-resources/esignsp/v2/signer_processes/{Add signer ProcessId}/result</code></a></td></tr><tr><td>Fetch Signed Document</td><td><a href="https://stg-id.uaepass.ae/trustedx-resources/esignsp/v2/documents/%7bAdd%20documentId%7d/content"><code>https://stg-id.uaepass.ae/trustedx-resources/esignsp/v2/documents/{Add documentId}/content</code></a></td></tr><tr><td>Delete Sign Process</td><td><a href="https://stg-id.uaepass.ae/trustedx-resources/esignsp/v2/signer_processes/{AddsignerProcessId}/">https://stg-id.uaepass.ae/trustedx-resources/esignsp/v2/signer_processes/{AddsignerProcessId<code>}</code></a></td></tr></tbody></table>

**Production**

| Endpoints                | URL                                                                                                                                                                                                               |
| ------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Get Signing Access Token | [`https://id.uaepass.ae/trustedx-authserver/oauth/main-as/token`](https://id.uaepass.ae/trustedx-authserver/oauth/main-as/token)                                                                                  |
| Create document ID       | [`https://id.uaepass.ae/trustedx-resources/esignsp/v2/documents`](https://id.uaepass.ae/trustedx-resources/esignsp/v2/documents)                                                                                  |
| Create Sign Process      | <https://id.uaepass.ae/trustedx-resources/esignsp/v2/signer_processes>                                                                                                                                            |
| Get Signature Status     | [https://id.uaepass.ae/trustedx-resources/esignsp/v2/signer\_processes/{Add signer ProcessId}/result](https://id.uaepass.ae/trustedx-resources/esignsp/v2/signer_processes/%7bAdd%20signer%20ProcessId%7d/result) |
| Fetch Signed Document    | [https://id.uaepass.ae/trustedx-resources/esignsp/v2/documents/{Add documentId}/content](https://id.uaepass.ae/trustedx-resources/esignsp/v2/documents/%7bAdd%20documentId%7d/content)                            |
| Delete Sign Process      | <https://id.uaepass.ae/trustedx-resources/esignsp/v2/signer_processes/{AddsignerProcessId}/>                                                                                                                      |

**Production**

{% hint style="info" %}
Note: Following fields “Add signer ProcessId”, “Add documentId” which are also highlighted above needs to be fetched from the output of “Create Sign Process Endpoint”. Details of the same has been illustrated below as a part of [create ](/feature-guides/signature-integration-guide/digital-signature-single-document/signing-guide/untitled/2.-creating-the-document-signature-process.md)and [delete ](/feature-guides/signature-integration-guide/digital-signature-single-document/signing-guide/untitled/5.-deleting-the-document-signature-process.md)signature process.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uaepass.ae/feature-guides/signature-integration-guide/digital-signature-multiple-document/signing-guide/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
